<?php
/*
 * @package Avatars on Board_MessageIndex
 * @version 1.5
 * @Author: Pipke(AdemaStudios)
 * @copyright Copyright (C) 2016, Pipke
 * @All rights reserved. 
 * @This SMF modification is subject to the BSD 2-Clause License
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON 
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install or uninstall - please verify you put this in the same place as SMF\'s index.php.');

// Mod db-settings
if (!empty($context['uninstalling']))
{
	// Remove abm db-settings
	$mod_settings = array('abm_boardindex', 'abm_avatar_size_board', 'abm_width_board', 'abm_avatar_layout_board', 'abm_messageindex', 'abm_avatar_size_message', 'abm_width_message', 'abm_avatar_layout_message', 'abm_avatar_size_global', 'abm_avatar_layout_global', 'abm_messageindex_showtime');
	foreach($mod_settings as $abm_db_list)
	{
		$smcFunc['db_query']('', '
			DELETE FROM {db_prefix}settings
			WHERE variable = {string:abm_db}',
			array(
				'abm_db' => $abm_db_list,
			)
		);
	}
}
else
{
	// Adding abm db-settings	
	$mod_settings = array(
		'abm_boardindex' => 1,
		'abm_avatar_size_board'=> 42,
		'abm_width_board' => 1,
		'abm_avatar_layout_board' => 1,
		'abm_messageindex' => 'both',
		'abm_avatar_size_message'=> 32,
		'abm_width_message' => 1,
		'abm_avatar_layout_message' => 1,
		'abm_avatar_size_global'=> 64,
		'abm_avatar_layout_global' => 1,
		'abm_messageindex_showtime' => 1, 
	);
	updateSettings($mod_settings);
}

// Prepare hooks
$hook_functions = array(
	'integrate_buffer' => 'abm_mod_style',
	'integrate_pre_include' => '$sourcedir/abm_code.php',
	'integrate_modify_modifications' => 'abm_mod_settings',
	'integrate_admin_areas' => 'abm_mod_admin',
	'integrate_menu_buttons' => 'abm_mod_setup',
	);

// Adding or removing hooks
if (!empty($context['uninstalling']))
	$request = 'remove_integration_function';
else
	$request = 'add_integration_function';

// Carrying out the hooks
foreach ($hook_functions as $hook => $function)
	$request($hook, $function);

?>